Package org.kapott.hbci.sepa.jaxb.pain_001_001_09

## Class ReferredDocumentInformation7

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_001_09.ReferredDocumentInformation7

    public class ReferredDocumentInformation7
    extends java.lang.Object

Java class for ReferredDocumentInformation7 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReferredDocumentInformation7">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ReferredDocumentType4" minOccurs="0"/>
             <element name="Nb" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max35Text" minOccurs="0"/>
             <element name="RltdDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ISODate" minOccurs="0"/>
             <element name="LineDtls" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}DocumentLineInformation1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<DocumentLineInformation1>` `lineDtls`
`protected java.lang.String` `nb`
`protected javax.xml.datatype.XMLGregorianCalendar` `rltdDt`
`protected ReferredDocumentType4` `tp`

### Constructor Summary

Constructors
`ReferredDocumentInformation7()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<DocumentLineInformation1>` `getLineDtls()` Gets the value of the lineDtls property.
`java.lang.String` `getNb()` Gets the value of the nb property.
`javax.xml.datatype.XMLGregorianCalendar` `getRltdDt()` Gets the value of the rltdDt property.
`ReferredDocumentType4` `getTp()` Gets the value of the tp property.
`void` `setNb​(java.lang.String value)` Sets the value of the nb property.
`void` `setRltdDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the rltdDt property.
`void` `setTp​(ReferredDocumentType4 value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected ReferredDocumentType4 tp

#### nb

    protected java.lang.String nb

#### rltdDt

    protected javax.xml.datatype.XMLGregorianCalendar rltdDt

#### lineDtls

    protected java.util.List<DocumentLineInformation1> lineDtls

### Constructor Detail

#### ReferredDocumentInformation7

    public ReferredDocumentInformation7()

### Method Detail

#### getTp

    public ReferredDocumentType4 getTp()

Gets the value of the tp property.

Returns:
  possible object is `ReferredDocumentType4`

#### setTp

    public void setTp​(ReferredDocumentType4 value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `ReferredDocumentType4`

#### getNb

    public java.lang.String getNb()

Gets the value of the nb property.

Returns:
  possible object is `String`

#### setNb

    public void setNb​(java.lang.String value)

Sets the value of the nb property.

Parameters:
  `value` - allowed object is `String`

#### getRltdDt

    public javax.xml.datatype.XMLGregorianCalendar getRltdDt()

Gets the value of the rltdDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setRltdDt

    public void setRltdDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the rltdDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getLineDtls

    public java.util.List<DocumentLineInformation1> getLineDtls()

Gets the value of the lineDtls property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lineDtls property.

For example, to add a new item, do as follows:

        getLineDtls().add(newItem);

Objects of the following type(s) are allowed in the list `DocumentLineInformation1`